﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace ParentChildDropDownInGrid
{
    public class NotesVM
    {
        public NotesVM()
        {
            NotesList = new ObservableCollection<Note>();
            NoteTypeList = new ObservableCollection<NoteType>();
            
            CreateNoteTypeList();
            CreateNotes();

            CurrentNote = NotesList.Last();
        }

        public ObservableCollection<NoteType> NoteTypeList { get; set; }

        public ObservableCollection<Note> NotesList { get; set; }

        public Note CurrentNote { get; set; }

        public void CreateNoteTypeList()
        {
            NoteType noteType;

            noteType = new NoteType(1, "Note Type One");
            noteType.SubTypes.Add(new NoteSubType(1, "Note Type One - Sub Type One"));
            noteType.SubTypes.Add(new NoteSubType(2, "Note Type One - Sub Type Two"));

            NoteTypeList.Add(noteType);

            noteType = new NoteType(2, "Note Type Two");
            noteType.SubTypes.Add(new NoteSubType(1, "Note Type One - Sub Type One"));
            noteType.SubTypes.Add(new NoteSubType(2, "Note Type Two - Sub Type Two"));
            noteType.SubTypes.Add(new NoteSubType(3, "Note Type Two - Sub Type Three"));

            NoteTypeList.Add(noteType);
        }

        public void CreateNotes()
        {
            Note note;

            note = new Note(1, "Type=1 SubType=2", 1, 2);
            NotesList.Add(note);

            note = new Note(2, "Type=2 SubType=2", 2, 2);
            NotesList.Add(note);

            note = new Note(3, "Type=1 SubType=1", 1, 1);
            NotesList.Add(note);

            note = new Note(4, "Type=2 SubType=1", 2, 1);
            NotesList.Add(note);

            note = new Note(5, "Type=2 SubType=3", 2, 3);
            NotesList.Add(note);
        }
    }
}
